%define dir			var/lib/clamav-db
%define sys_clamav 	/var/lib/clamav
%define sys_db		/var/lib/clamav-db

Name: clamav-db
Version: 20090410
Release: alt0.M41.2

Summary: Antivirus database for ClamAV
Summary(ru-RU.UTF-8): Антивирусная база для ClamAV
License: distributable
Group: File tools
Url: http://www.clamav.net/

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildArch: noarch
Source1: main.cvd
Source2: daily.cvd

Requires: clamav

%description
Database for ClamAV virus scanner.
Last update: April 10, 2009
Database will have installed into /var/lib/clamav-db directory. Please, setup clamav or klamav to use this base location.

%description -l ru_RU.UTF-8
База для антивирусного сканера ClamAV
Последнее обновление: 10.04.2009
Установка производится в каталог /var/lib/clamav-db. Настройте clamav или klamav для использования этого каталога.

%prep

%install
%__install -pD %SOURCE1 %buildroot/%dir/main.cvd
%__install -pD %SOURCE2 %buildroot/%dir/daily.cvd

%post
test ! -e %sys_clamav/main.cvd -o %sys_db/main.cvd -nt %sys_clamav/main.cvd && yes | cp -f %sys_db/main.cvd %sys_clamav/main.cvd 2>/dev/null
test ! -e %sys_clamav/daily.cvd -o %sys_db/daily.cvd -nt %sys_clamav/daily.cvd && yes | cp -f %sys_db/daily.cvd %sys_clamav/daily.cvd 2>/dev/null

%files
%config(noreplace) /%dir/main.cvd
%config(noreplace) /%dir/daily.cvd

%changelog
* Fri Apr 17 2009 Andrey Cherepanov <cas@altlinux.org> 20090410-alt0.M41.2
- Remove date from package summary 

* Mon Apr 13 2009 Andrey Cherepanov <cas@altlinux.org> 20090410-alt0.M41.1
- Build for 4.1 branch

* Fri Apr 10 2009 Andrey Cherepanov <cas@altlinux.org> 20090410-alt1
- Update database

* Mon May 19 2008 Andrey Cherepanov <cas@altlinux.ru> 20080519-alt1
- Update database

* Fri Apr 18 2008 Andrey Cherepanov <cas@altlinux.ru> 20080418-alt2
- Fix old database

* Fri Apr 18 2008 Andrey Cherepanov <cas@altlinux.ru> 20080418-alt1
- Update database
- Add copy database files if they are newer than files in /var/lib/clamav

* Fri Feb 08 2008 Andrey Cherepanov <cas@altlinux.ru> 20080207-alt1
- Fix build number for branch

* Thu Feb 07 2008 Andrey Cherepanov <cas@altlinux.ru> 20080207-alt0
- Update database
- Fix permission
- Add noreplace behaviour (does not replace freshen database)

* Wed Feb 06 2008 Andrey Cherepanov <cas@altlinux.ru> 20080206-alt0
- Place database into /var/lib/clamav-db for avoid conflicts with freshen database in /var/lib/clamav
- Fix permission to update database from KlamAV

* Thu Jan 31 2008 Andrey Cherepanov <cas@altlinux.ru> 20080131-alt0
- initial release for ALT Linux Sysyphus
